<?php
/**
 * Wall Decor Wallpaper: Block Patterns
 *
 * @package Wall Decor Wallpaper
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'wall-decor-wallpaper',
		array( 'label' => __( 'Wall Decor Wallpaper', 'wall-decor-wallpaper' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'wall-decor-wallpaper/banner-section',
		array(
			'title'      => __( 'Banner Section', 'wall-decor-wallpaper' ),
			'categories' => array( 'wall-decor-wallpaper' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\",\"id\":386,\"dimRatio\":0,\"minHeight\":600,\"align\":\"full\",\"className\":\"wall-decor-slider-section\"} -->\n<div class=\"wp-block-cover alignfull wall-decor-slider-section\" style=\"min-height:600px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-386\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"slider-section\"} -->\n<div class=\"wp-block-columns slider-section\"><!-- wp:column {\"width\":\"50%\",\"className\":\"slider-content\"} -->\n<div class=\"wp-block-column slider-content\" style=\"flex-basis:50%\"><!-- wp:heading {\"level\":1,\"textColor\":\"black\"} -->\n<h1 class=\"wp-block-heading has-black-color has-text-color\">Best Quality Wallpapers For Your Home</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"textColor\":\"black\"} -->\n<p class=\"has-black-color has-text-color\">since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"slider-btn\"} -->\n<div class=\"wp-block-buttons slider-btn\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"0px\"},\"color\":{\"background\":\"#333029\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;background-color:#333029\">SHOP NOW</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"className\":\"icons-section\"} -->\n<div class=\"wp-block-column icons-section\" style=\"flex-basis:50%\"><!-- wp:social-links {\"iconColor\":\"white\",\"iconColorValue\":\"#ffffff\",\"openInNewTab\":true,\"size\":\"has-small-icon-size\",\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"orientation\":\"horizontal\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size has-icon-color is-style-logos-only\"><!-- wp:social-link {\"url\":\"www.facebook.com\",\"service\":\"facebook\",\"label\":\"#\",\"className\":\"icons\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.twitter.com\",\"service\":\"twitter\",\"label\":\"#\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.instagram.com\",\"service\":\"instagram\",\"label\":\"#\"} /-->\n\n<!-- wp:social-link {\"url\":\"www.pinterest.com\",\"service\":\"pinterest\",\"label\":\"#\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'wall-decor-wallpaper/products-section',
		array(
			'title'      => __( 'Products Section', 'wall-decor-wallpaper' ),
			'categories' => array( 'wall-decor-wallpaper' ),
			'content'    => "<!-- wp:group {\"className\":\"wall-decor-product-section\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group wall-decor-product-section\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#333029\"}}} -->\n<p class=\"has-text-color\" style=\"color:#333029\">NEW DESIGN FOR YOUR WALL</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"style\":{\"color\":{\"text\":\"#333029\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#333029\">NEW ARRIVALS</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"product-section\"} -->\n<div class=\"wp-block-columns product-section\"><!-- wp:column {\"className\":\"product-category\"} -->\n<div class=\"wp-block-column product-category\"><!-- wp:woocommerce/product-category {\"columns\":4,\"rows\":1,\"contentVisibility\":{\"image\":true,\"title\":true,\"price\":true,\"rating\":false,\"button\":false},\"categories\":[16]} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}