<?php
//about theme info
add_action( 'admin_menu', 'wall_decor_wallpaper_gettingstarted' );
function wall_decor_wallpaper_gettingstarted() {
	add_theme_page( esc_html__('About Wall Decor Wallpaper', 'wall-decor-wallpaper'), esc_html__('About Wall Decor Wallpaper', 'wall-decor-wallpaper'), 'edit_theme_options', 'wall_decor_wallpaper_guide', 'wall_decor_wallpaper_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function wall_decor_wallpaper_admin_theme_style() {
	wp_enqueue_style('wall-decor-wallpaper-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('wall-decor-wallpaper-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'wall_decor_wallpaper_admin_theme_style');
 
//guidline for about theme
function wall_decor_wallpaper_mostrar_guide() { 
	//custom function about theme customizer
	$wall_decor_wallpaper_return = add_query_arg( array()) ;
	$wall_decor_wallpaper_theme = wp_get_theme( 'wall-decor-wallpaper' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to Wall Decor Wallpaper', 'wall-decor-wallpaper' ); ?> <span class="version"><?php esc_html_e( 'Version', 'wall-decor-wallpaper' ); ?>: <?php echo esc_html($wall_decor_wallpaper_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','wall-decor-wallpaper'); ?></p>
    </div>
    <div class="col-right">
    	<div class="logo">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/final-logo.png" alt="" />
		</div>
		<div class="update-now">
			<h4><?php esc_html_e('Buy Wall Decor Wallpaper at 20% Discount','wall-decor-wallpaper'); ?></h4>
			<h4><?php esc_html_e('Use Coupon','wall-decor-wallpaper'); ?> ( <span><?php esc_html_e('vwpro20','wall-decor-wallpaper'); ?></span> ) </h4>
			<div class="info-link">
				<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_BUY_NOW ); ?>" target="_blank"> <?php esc_html_e( 'Upgrade to Pro', 'wall-decor-wallpaper' ); ?></a>
			</div>
		</div> 
	</div>

    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="wall_decor_wallpaper_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'wall-decor-wallpaper' ); ?></button>
			<button class="tablinks" onclick="wall_decor_wallpaper_open_tab(event, 'block_pattern')"><?php esc_html_e( 'Setup With Block Pattern', 'wall-decor-wallpaper' ); ?></button>
			<button class="tablinks" onclick="wall_decor_wallpaper_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'wall-decor-wallpaper' ); ?></button>
			<button class="tablinks" onclick="wall_decor_wallpaper_open_tab(event, 'product_addons_editor')"><?php esc_html_e( 'Woocommerce Product Addons', 'wall-decor-wallpaper' ); ?></button>
			<button class="tablinks" onclick="wall_decor_wallpaper_open_tab(event, 'theme_pro')"><?php esc_html_e( 'Get Premium', 'wall-decor-wallpaper' ); ?></button>
		  	<button class="tablinks" onclick="wall_decor_wallpaper_open_tab(event, 'free_pro')"><?php esc_html_e( 'Support', 'wall-decor-wallpaper' ); ?></button>
		</div>

		<?php
			$wall_decor_wallpaper_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$wall_decor_wallpaper_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = Wall_Decor_Wallpaper_Plugin_Activation_Settings::get_instance();
				$wall_decor_wallpaper_actions = $plugin_ins->recommended_actions;
				?>
				<div class="wall-decor-wallpaper-recommended-plugins">
				    <div class="wall-decor-wallpaper-action-list">
				        <?php if ($wall_decor_wallpaper_actions): foreach ($wall_decor_wallpaper_actions as $key => $wall_decor_wallpaper_actionValue): ?>
				                <div class="wall-decor-wallpaper-action" id="<?php echo esc_attr($wall_decor_wallpaper_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($wall_decor_wallpaper_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($wall_decor_wallpaper_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($wall_decor_wallpaper_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','wall-decor-wallpaper'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($wall_decor_wallpaper_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'wall-decor-wallpaper' ); ?></h3>
				<hr class="h3hr">
				<p><?php esc_html_e('Wall Decor Wallpaper WordPress Theme, as the name suggests, is a pre-designed website template designed especially for businesses that specialize in  and . The theme is visually appealing and comes with a sleek and modern design. Wall Decor Wallpaper WordPress Theme is easy to use and install. Anyone, with or without a coding or web development background, can easily install and use this theme to create a professional website for their business. This theme can be used by ers, wall decor artists, architects, architecture, interior design, decoration, business, furniture, home decor, construction, corporate, agency, Modular kitchen, Exterior designs, home design and all others who specialize in the wall and  field to create business websites, , decorative wallpapers, painting businesses, portfolios, or blogs.The Wall Decor Wallpaper WordPress Theme comes with all the necessary tools and features to help you create a stunning website. The theme is also compatible with the popular e-commerce plugin, WooCommerce, Ibtana, ACF, cONTACT Form 7, Classic Widgets, YITH Wishlist, Smash Balloon which allows website owners to turn their websites into online stores. Our theme has features like cross-browser and device compatiblity, Gutenberg template that will allow you drag and drop functionality, Full site editing features. Moreover, the Wall Decor Wallpaper WordPress Theme is also customizable and comes with various customization options that help you modify the theme’s looks to suit the brand’s needs.','wall-decor-wallpaper'); ?></p>
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'wall-decor-wallpaper' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'wall-decor-wallpaper' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'wall-decor-wallpaper' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'wall-decor-wallpaper'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'wall-decor-wallpaper'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'wall-decor-wallpaper'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'wall-decor-wallpaper'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'wall-decor-wallpaper'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'wall-decor-wallpaper'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'wall-decor-wallpaper'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'wall-decor-wallpaper'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'wall-decor-wallpaper'); ?></a>
					</div>

					<div class="link-customizer">
						<h3><?php esc_html_e( 'Link to customizer', 'wall-decor-wallpaper' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','wall-decor-wallpaper'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','wall-decor-wallpaper'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-slides"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_slidersettings') ); ?>" target="_blank"><?php esc_html_e('Slider Settings','wall-decor-wallpaper'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-category"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_product_section') ); ?>" target="_blank"><?php esc_html_e('Products Section','wall-decor-wallpaper'); ?></a>
								</div>
							</div>
						
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','wall-decor-wallpaper'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','wall-decor-wallpaper'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','wall-decor-wallpaper'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','wall-decor-wallpaper'); ?></a>
								</div>
							</div>
						</div>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','wall-decor-wallpaper'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','wall-decor-wallpaper'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','wall-decor-wallpaper'); ?></span><?php esc_html_e(' Go to ','wall-decor-wallpaper'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','wall-decor-wallpaper'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','wall-decor-wallpaper'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','wall-decor-wallpaper'); ?></span><?php esc_html_e(' Go to ','wall-decor-wallpaper'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','wall-decor-wallpaper'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','wall-decor-wallpaper'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','wall-decor-wallpaper'); ?> <a class="doc-links" href="<?php echo esc_url( WALL_DECOR_WALLPAPER_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','wall-decor-wallpaper'); ?></a></p>
			  	</div>
			</div>
		</div>

				<div id="block_pattern" class="tabcontent">
				<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$plugin_ins = Wall_Decor_Wallpaper_Plugin_Activation_Settings::get_instance();
				$wall_decor_wallpaper_actions = $plugin_ins->recommended_actions;
				?>
				<div class="wall-decor-wallpaper-recommended-plugins">
				    <div class="wall-decor-wallpaper-action-list">
				        <?php if ($wall_decor_wallpaper_actions): foreach ($wall_decor_wallpaper_actions as $key => $wall_decor_wallpaper_actionValue): ?>
				                <div class="wall-decor-wallpaper-action" id="<?php echo esc_attr($wall_decor_wallpaper_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($wall_decor_wallpaper_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($wall_decor_wallpaper_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($wall_decor_wallpaper_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" href="javascript:void(0);" get-start-tab-id="gutenberg-editor-tab"><?php esc_html_e('Skip','wall-decor-wallpaper'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
				<?php } ?>
				<div class="gutenberg-editor-tab" style="<?php echo esc_attr($wall_decor_wallpaper_plugin_custom_css); ?>">
				<div class="block-pattern-img">
				  	<h3><?php esc_html_e( 'Block Patterns', 'wall-decor-wallpaper' ); ?></h3>
					<hr class="h3hr">
					<p><?php esc_html_e('Follow the below instructions to setup Home page with Block Patterns.','wall-decor-wallpaper'); ?></p>
	              	<p><b><?php esc_html_e('Click on Below Add new page button >> Click on "+" Icon >> Click Pattern Tab >> Click on homepage sections >> Publish.','wall-decor-wallpaper'); ?></span></b></p>
	              	<div class="wall-decor-wallpaper-pattern-page">
				    	<a href="javascript:void(0)" class="vw-pattern-page-btn button-primary button"><?php esc_html_e('Add New Page','wall-decor-wallpaper'); ?></a>
				    </div>
	              	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/block-pattern.png" alt="" />
	            </div>

	            <div class="block-pattern-link-customizer">
					<h3><?php esc_html_e( 'Link to customizer', 'wall-decor-wallpaper' ); ?></h3>
					<hr class="h3hr">
					<div class="first-row">
						<div class="row-box">
							<div class="row-box1">
								<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','wall-decor-wallpaper'); ?></a>
							</div>
							<div class="row-box2">
								<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','wall-decor-wallpaper'); ?></a>
							</div>
						</div>
						<div class="row-box">
							<div class="row-box1">
								<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','wall-decor-wallpaper'); ?></a>
							</div>

							<div class="row-box2">
								<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','wall-decor-wallpaper'); ?></a>
							</div>
						</div>

						<div class="row-box">
							<div class="row-box1">
								<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','wall-decor-wallpaper'); ?></a>
							</div>
							 <div class="row-box2">
								<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','wall-decor-wallpaper'); ?></a>
							</div>
						</div>
					</div>
				</div>
	     	</div>
			</div>
		
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Wall_Decor_Wallpaper_Plugin_Activation_Settings::get_instance();
			$wall_decor_wallpaper_actions = $plugin_ins->recommended_actions;
			?>
				<div class="wall-decor-wallpaper-recommended-plugins">
				    <div class="wall-decor-wallpaper-action-list">
				        <?php if ($wall_decor_wallpaper_actions): foreach ($wall_decor_wallpaper_actions as $key => $wall_decor_wallpaper_actionValue): ?>
				                <div class="wall-decor-wallpaper-action" id="<?php echo esc_attr($wall_decor_wallpaper_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($wall_decor_wallpaper_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($wall_decor_wallpaper_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($wall_decor_wallpaper_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'wall-decor-wallpaper' ); ?></h3>
				<hr class="h3hr">
				<div class="wall-decor-wallpaper-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','wall-decor-wallpaper'); ?></a>
			    </div>

			    <div class="link-customizer-with-guternberg-ibtana">
	              	<div class="link-customizer-with-block-pattern">
						<h3><?php esc_html_e( 'Link to customizer', 'wall-decor-wallpaper' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','wall-decor-wallpaper'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','wall-decor-wallpaper'); ?></a>
								</div>
							</div>
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','wall-decor-wallpaper'); ?></a>
								</div>
								
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','wall-decor-wallpaper'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=wall_decor_wallpaper_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','wall-decor-wallpaper'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','wall-decor-wallpaper'); ?></a>
								</div> 
							</div>
						</div>
					</div>	
				</div>
			<?php } ?>
		</div>

					<div id="product_addons_editor" class="tabcontent">
				<?php if(!class_exists('IEPA_Loader')){
					$plugin_ins = wall_decor_wallpaper_Plugin_Activation_Woo_Products::get_instance();
					$wall_decor_wallpaper_actions = $plugin_ins->recommended_actions;
					?>
					<div class="wall-decor-wallpaper-recommended-plugins">
						    <div class="wall-decor-wallpaper-action-list">
						        <?php if ($wall_decor_wallpaper_actions): foreach ($wall_decor_wallpaper_actions as $key => $wall_decor_wallpaper_actionValue): ?>
						                <div class="wall-decor-wallpaper-action" id="<?php echo esc_attr($wall_decor_wallpaper_actionValue['id']);?>">
					                        <div class="action-inner plugin-activation-redirect">
					                            <h3 class="action-title"><?php echo esc_html($wall_decor_wallpaper_actionValue['title']); ?></h3>
					                            <div class="action-desc"><?php echo esc_html($wall_decor_wallpaper_actionValue['desc']); ?></div>
					                            <?php echo wp_kses_post($wall_decor_wallpaper_actionValue['link']); ?>
					                        </div>
						                </div>
						            <?php endforeach;
						        endif; ?>
						    </div>
					</div>
				<?php }else{ ?>
					<h3><?php esc_html_e( 'Woocommerce Products Blocks', 'wall-decor-wallpaper' ); ?></h3>
					<hr class="h3hr">
					<div class="wall-decor-wallpaper-pattern-page">
						<p><?php esc_html_e('Follow the below instructions to setup Products Templates.','wall-decor-wallpaper'); ?></p>
						<p><b><?php esc_html_e('1. First you need to activate these plugins','wall-decor-wallpaper'); ?></b></p>
							<p><?php esc_html_e('1. Ibtana - WordPress Website Builder ','wall-decor-wallpaper'); ?></p>
							<p><?php esc_html_e('2. Ibtana - Ecommerce Product Addons.','wall-decor-wallpaper'); ?></p>
							<p><?php esc_html_e('3. Woocommerce','wall-decor-wallpaper'); ?></p>

						<p><b><?php esc_html_e('2. Go To Dashboard >> Ibtana Settings >> Woocommerce Templates','wall-decor-wallpaper'); ?></span></b></p>
		              	<div class="wall-decor-wallpaper-pattern-page">
				    		<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-woocommerce-templates&ive_wizard_view=parent' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Woocommerce Templates','wall-decor-wallpaper'); ?></a>
				    	</div>
		              	<p><?php esc_html_e('You can create a template as you like.','wall-decor-wallpaper'); ?></span></p>
				    </div>
				<?php } ?>
			</div>

		<div id="theme_pro" class="tabcontent">
		  	<h3><?php esc_html_e( 'Premium Theme Information', 'wall-decor-wallpaper' ); ?></h3>
			<hr class="h3hr">
		    <div class="col-left-pro">
		    	<p><?php esc_html_e('The Premium Wall Decor WordPress Theme is a professionally designed and feature-rich theme specifically crafted for businesses that specialize in wall decor and art. This theme is designed to provide an elegant and modern online presence for wall decor businesses, allowing them to showcase their products and services to potential customers effectively. The theme comes with a clean and modern design that emphasizes visual appeal and user experience. It features an intuitive and easy-to-use interface that allows users to browse through the different products and services offered by the business seamlessly. Additionally, the theme is mobile responsive, ensuring that the website looks great on any device, be it desktops, laptops, tablets, or smartphones. The theme also includes a variety of features and functionalities to enhance the overall user experience. These include customizable homepage sections, multiple layout options, font and color customization options, social media integration, and much more. It also includes a powerful theme options panel, making it easy for businesses to customize their website according to their brand and preferences.','wall-decor-wallpaper'); ?></p>
		    	<div class="pro-links">
			    	<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'wall-decor-wallpaper'); ?></a>
					<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_BUY_NOW ); ?>" target="_blank"><?php esc_html_e('Buy Pro', 'wall-decor-wallpaper'); ?></a>
					<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'wall-decor-wallpaper'); ?></a>
				</div>
		    </div>
		    <div class="col-right-pro">
		    	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/responsive.png" alt="" />
		    </div>
		    <div class="featurebox">
			    <h3><?php esc_html_e( 'Theme Features', 'wall-decor-wallpaper' ); ?></h3>
				<hr class="h3hr">
				<div class="table-image">
					<table class="tablebox">
						<thead>
							<tr>
								<th></th>
								<th><?php esc_html_e('Free Themes', 'wall-decor-wallpaper'); ?></th>
								<th><?php esc_html_e('Premium Themes', 'wall-decor-wallpaper'); ?></th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><?php esc_html_e('Theme Customization', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Responsive Design', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Logo Upload', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Social Media Links', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Slider Settings', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Number of Slides', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('4', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('Unlimited', 'wall-decor-wallpaper'); ?></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Template Pages', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('1', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('11', 'wall-decor-wallpaper'); ?></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Home Page Template', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('1', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('1', 'wall-decor-wallpaper'); ?></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Theme sections', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('2', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><?php esc_html_e('14', 'wall-decor-wallpaper'); ?></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Contact us Page Template', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img">0</td>
								<td class="table-img"><?php esc_html_e('1', 'wall-decor-wallpaper'); ?></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Blog Templates & Layout', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img">0</td>
								<td class="table-img"><?php esc_html_e('3(Full width/Left/Right Sidebar)', 'wall-decor-wallpaper'); ?></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Page Templates & Layout', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img">0</td>
								<td class="table-img"><?php esc_html_e('2(Left/Right Sidebar)', 'wall-decor-wallpaper'); ?></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Color Pallete For Particular Sections', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Global Color Option', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Section Reordering', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Demo Importer', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Allow To Set Site Title, Tagline, Logo', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Enable Disable Options On All Sections, Logo', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Full Documentation', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Latest WordPress Compatibility', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Woo-Commerce Compatibility', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Support 3rd Party Plugins', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Secure and Optimized Code', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Exclusive Functionalities', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Section Enable / Disable', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Section Google Font Choices', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Gallery', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Simple & Mega Menu Option', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Support to add custom CSS / JS ', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Shortcodes', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Custom Background, Colors, Header, Logo & Menu', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Premium Membership', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Budget Friendly Value', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('Priority Error Fixing', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Custom Feature Addition', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('All Access Theme Pass', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('Seamless Customer Support', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('WordPress 6.4 or later', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr class="odd">
								<td><?php esc_html_e('PHP 8.2 or 8.3', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td><?php esc_html_e('MySQL 5.6 (or greater) | MariaDB 10.0 (or greater)', 'wall-decor-wallpaper'); ?></td>
								<td class="table-img"><span class="dashicons dashicons-no"></span></td>
								<td class="table-img"><span class="dashicons dashicons-saved"></span></td>
							</tr>
							<tr>
								<td></td>
								<td class="table-img"></td>
								<td class="update-link"><a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_BUY_NOW ); ?>" target="_blank"><?php esc_html_e('Upgrade to Pro', 'wall-decor-wallpaper'); ?></a></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>

		<div id="free_pro" class="tabcontent">
		  	<div class="col-3">
		  		<h4><span class="dashicons dashicons-star-filled"></span><?php esc_html_e('Pro Version', 'wall-decor-wallpaper'); ?></h4>
				<p> <?php esc_html_e('To gain access to extra theme options and more interesting features, upgrade to pro version.', 'wall-decor-wallpaper'); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_BUY_NOW ); ?>" target="_blank"><?php esc_html_e('Get Pro', 'wall-decor-wallpaper'); ?></a>
				</div>
		  	</div>
		  	<div class="col-3">
		  		<h4><span class="dashicons dashicons-cart"></span><?php esc_html_e('Pre-purchase Queries', 'wall-decor-wallpaper'); ?></h4>
				<p> <?php esc_html_e('If you have any pre-sale query, we are prepared to resolve it.', 'wall-decor-wallpaper'); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_CONTACT ); ?>" target="_blank"><?php esc_html_e('Question', 'wall-decor-wallpaper'); ?></a>
				</div>
		  	</div>
		  	<div class="col-3">
		  		<h4><span class="dashicons dashicons-admin-customizer"></span><?php esc_html_e('Child Theme', 'wall-decor-wallpaper'); ?></h4>
				<p> <?php esc_html_e('For theme file customizations, make modifications in the child theme and not in the main theme file.', 'wall-decor-wallpaper'); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_CHILD_THEME ); ?>" target="_blank"><?php esc_html_e('About Child Theme', 'wall-decor-wallpaper'); ?></a>
				</div>
		  	</div>

		  	<div class="col-3">
		  		<h4><span class="dashicons dashicons-admin-comments"></span><?php esc_html_e('Frequently Asked Questions', 'wall-decor-wallpaper'); ?></h4>
				<p> <?php esc_html_e('We have gathered top most, frequently asked questions and answered them for your easy understanding. We will list down more as we get new challenging queries. Check back often.', 'wall-decor-wallpaper'); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_FAQ ); ?>" target="_blank"><?php esc_html_e('View FAQ','wall-decor-wallpaper'); ?></a>
				</div>
		  	</div>

		  	<div class="col-3">
		  		<h4><span class="dashicons dashicons-sos"></span><?php esc_html_e('Support Queries', 'wall-decor-wallpaper'); ?></h4>
				<p> <?php esc_html_e('If you have any queries after purchase, you can contact us. We are eveready to help you out.', 'wall-decor-wallpaper'); ?></p>
				<div class="info-link">
					<a href="<?php echo esc_url( WALL_DECOR_WALLPAPER_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Contact Us', 'wall-decor-wallpaper'); ?></a>
				</div>
		  	</div>
		</div>

	</div>
</div>

<?php } ?>